# lumbung.space hashtag publishing bot

This script makes [Hugo page bundles](https://gohugo.io/content-management/page-bundles/) out of Hashtag feeds on a Mastodon Hometown or Glitchsoc instance.  

## Install requirements

`pip3 install Mastodon.py jinja2`

## Setup

This script requires access to an account on said Mastodon instance. This instance and the credentials can be set in `config_hashtag_bot.py`.

If it is the first time you are running the script, you need to register the application on the Mastodon instance. Have a look at the [Mastodon.py documentation](https://mastodonpy.readthedocs.io/en/stable/#module-mastodon) for how to do that.

This bot only uses read permissions.

Set which hashtags you want to publish by adding them to the list `hashtags` in `config_hashtag_bot.py`. Omit the '#'.

## What it does

* The Bot only looks at the **local timeline** for posts under each hashtag configured in `config_hashtag_bot.py`.
* This means posts need to be **public** or directly addressed to the bot
* This script respects the mental model of 'local only' posts in the sense that people do not expect them to appear elsewhere. So **local only posts are ignored**
* It takes only posts with Media attached and then only those with images

## What it doesn't do

* Different types of media or embeds
* No thread recreation, each post is treated as a top level post
 
